Entrar

Listar refs de person (por role)

GET https://{organization}.myguper.com/api/register/{interface}/person/{role}

Lista todos los refs externos de person para el {role} (cashier/salesperson/manager/client) bajo el {interface}. Retorna el personId, name y metadatos _ref de cada ref (incluyendo role).

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Respuestas

[{"id":620977,"name":"Alice","_ref":{"source":"vtex","refId":"99","role":"cashier"}},{"id":620980,"name":"Bob","_ref":{"source":"vtex","refId":"100","role":"cashier"}}]
Copied to clipboard